Add a tag to an incident
POST
/v1/incidents/{id}/tags
const url = 'https://api.adversarial.com/api/v1/incidents/INC-00001/tags';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"tag_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.adversarial.com/api/v1/incidents/INC-00001/tags \ --header 'Content-Type: application/json' \ --data '{ "tag_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The ID of the incident — INC-00001 (case-insensitive) or a bare number
Example
INC-00001Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
tag_id
required
string format: uuid
Examplegenerated
{ "tag_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”Tag added to incident
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Incident or tag not found
Tag already associated with incident